aboutsummaryrefslogtreecommitdiffstats
path: root/systems/rhel/7.5
diff options
context:
space:
mode:
Diffstat (limited to 'systems/rhel/7.5')
-rwxr-xr-xsystems/rhel/7.5/build_base_machine.sh111
-rwxr-xr-xsystems/rhel/7.5/prepare_python_env.sh28
2 files changed, 139 insertions, 0 deletions
diff --git a/systems/rhel/7.5/build_base_machine.sh b/systems/rhel/7.5/build_base_machine.sh
new file mode 100755
index 00000000..2073a38c
--- /dev/null
+++ b/systems/rhel/7.5/build_base_machine.sh
@@ -0,0 +1,111 @@
+#!/bin/bash
+#
+# Build a base machine for RHEL 7.3
+#
+# Copyright 2016 OPNFV, Intel Corporation & Red Hat Inc.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# Contributors:
+# Aihua Li, Huawei Technologies.
+# Martin Klozik, Intel Corporation.
+# Abdul Halim, Intel Corporation.
+# Christian Trautman, Red Hat Inc.
+
+# Make and Compilers
+pkglist=(\
+ automake\
+ fuse-devel\
+ gcc\
+ gcc-c++\
+ glib2-devel\
+ glibc\
+ kernel-devel\
+ openssl-devel\
+ pixman-devel\
+ sysstat\
+)
+
+# Tools
+pkglist=(
+ "${pkglist[@]}"\
+ git\
+ libtool\
+ libpcap-devel\
+ libnet\
+ net-tools\
+ openssl\
+ openssl-devel\
+ pciutils\
+ socat\
+ tk-devel\
+ wget\
+ numactl\
+ numactl-devel\
+ libpng-devel\
+ sshpass\
+)
+
+# python tools for proper QEMU, DPDK, and OVS make
+pkglist=(
+ "${pkglist[@]}"\
+ python-six\
+)
+
+# install RHEL compatible epel for sshpass
+yum -y install https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
+
+# Iterate installing each package. If packages fail to install, record those
+# packages and exit with an error message on completion. Customer may need to
+# add repo locations and subscription levels.
+failedinstall=()
+for pkg in ${pkglist[*]}; do
+ echo "Installing ${pkg}"
+ yum -y install ${pkg} || failedinstall=("${failedinstall[*]}" "$pkg")
+done
+
+if [ "${#failedinstall[*]}" -gt 0 ]; then
+ echo "The following packages failed to install. Please add appropriate repo\
+ locations and/or subscription levels. Then run the build script again."
+ for fail in ${failedinstall[*]}; do
+ echo $fail
+ done
+ exit 1
+fi
+
+# install SCL for python34 by adding a repo to find its location to install it
+cat <<'EOT' >> /etc/yum.repos.d/python34.repo
+[centos-sclo-rh]
+name=CentOS-7 - SCLo rh
+baseurl=http://mirror.centos.org/centos/7/sclo/$basearch/rh/
+gpgcheck=0
+enabled=1
+gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-SCLo
+EOT
+
+# install python34 packages and git-review tool
+yum -y install $(echo "
+rh-python34
+rh-python34-python-tkinter
+" | grep -v ^#)
+
+# cleanup python 34 repo file
+rm -f /etc/yum.repos.d/python34.repo
+
+# Create hugepage dirs
+mkdir -p /dev/hugepages
+
+# prevent upstream from building from source due to kernel incompatibilities
+sed -i s/'SUBBUILDS = src_vanilla'/'#SUBBUILDS = src_vanilla'/ ../src/Makefile
+sed -i s/'SUBDIRS += dpdk'/'#SUBDIRS += dpdk'/ ../src/Makefile
+sed -i s/'SUBDIRS += ovs'/'#SUBDIRS += ovs'/ ../src/Makefile
diff --git a/systems/rhel/7.5/prepare_python_env.sh b/systems/rhel/7.5/prepare_python_env.sh
new file mode 100755
index 00000000..047d6961
--- /dev/null
+++ b/systems/rhel/7.5/prepare_python_env.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+#
+# Prepare Python environment for vsperf execution on RHEL 7.3 systems.
+#
+# Copyright 2016-2017 OPNFV, Intel Corporation, Red Hat Inc.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+if [ -d "$VSPERFENV_DIR" ] ; then
+ echo "Directory $VSPERFENV_DIR already exists. Skipping python virtualenv creation."
+ exit
+fi
+
+scl enable rh-python34 "
+virtualenv "$VSPERFENV_DIR" --python /opt/rh/rh-python34/root/usr/bin/python3
+source "$VSPERFENV_DIR"/bin/activate
+pip install -r ../requirements.txt
+"
an> if (!errcount) errcount = 1; type = mci->fake_inject_ue ? HW_EVENT_ERR_UNCORRECTED : HW_EVENT_ERR_CORRECTED; printk(KERN_DEBUG "Generating %d %s fake error%s to %d.%d.%d to test core handling. NOTE: this won't test the driver-specific decoding logic.\n", errcount, (type == HW_EVENT_ERR_UNCORRECTED) ? "UE" : "CE", errcount > 1 ? "s" : "", mci->fake_inject_layer[0], mci->fake_inject_layer[1], mci->fake_inject_layer[2] ); edac_mc_handle_error(type, mci, errcount, 0, 0, 0, mci->fake_inject_layer[0], mci->fake_inject_layer[1], mci->fake_inject_layer[2], "FAKE ERROR", "for EDAC testing only"); return count; } static const struct file_operations debug_fake_inject_fops = { .open = simple_open, .write = edac_fake_inject_write, .llseek = generic_file_llseek, }; int __init edac_debugfs_init(void) { edac_debugfs = debugfs_create_dir("edac", NULL); if (IS_ERR(edac_debugfs)) { edac_debugfs = NULL; return -ENOMEM; } return 0; } void edac_debugfs_exit(void) { debugfs_remove(edac_debugfs); } int edac_create_debugfs_nodes(struct mem_ctl_info *mci) { struct dentry *d, *parent; char name[80]; int i; if (!edac_debugfs) return -ENODEV; d = debugfs_create_dir(mci->dev.kobj.name, edac_debugfs); if (!d) return -ENOMEM; parent = d; for (i = 0; i < mci->n_layers; i++) { sprintf(name, "fake_inject_%s", edac_layer_name[mci->layers[i].type]); d = debugfs_create_u8(name, S_IRUGO | S_IWUSR, parent, &mci->fake_inject_layer[i]); if (!d) goto nomem; } d = debugfs_create_bool("fake_inject_ue", S_IRUGO | S_IWUSR, parent, &mci->fake_inject_ue); if (!d) goto nomem; d = debugfs_create_u16("fake_inject_count", S_IRUGO | S_IWUSR, parent, &mci->fake_inject_count); if (!d) goto nomem; d = debugfs_create_file("fake_inject", S_IWUSR, parent, &mci->dev, &debug_fake_inject_fops); if (!d) goto nomem; mci->debugfs = parent; return 0; nomem: edac_debugfs_remove_recursive(mci->debugfs); return -ENOMEM; } /* Create a toplevel dir under EDAC's debugfs hierarchy */ struct dentry *edac_debugfs_create_dir(const char *dirname) { if (!edac_debugfs) return NULL; return debugfs_create_dir(dirname, edac_debugfs); } EXPORT_SYMBOL_GPL(edac_debugfs_create_dir); /* Create a toplevel dir under EDAC's debugfs hierarchy with parent @parent */ struct dentry * edac_debugfs_create_dir_at(const char *dirname, struct dentry *parent) { return debugfs_create_dir(dirname, parent); } EXPORT_SYMBOL_GPL(edac_debugfs_create_dir_at); /* * Create a file under EDAC's hierarchy or a sub-hierarchy: * * @name: file name * @mode: file permissions * @parent: parent dentry. If NULL, it becomes the toplevel EDAC dir * @data: private data of caller * @fops: file operations of this file */ struct dentry * edac_debugfs_create_file(const char *name, umode_t mode, struct dentry *parent, void *data, const struct file_operations *fops) { if (!parent) parent = edac_debugfs; return debugfs_create_file(name, mode, parent, data, fops); } EXPORT_SYMBOL_GPL(edac_debugfs_create_file); /* Wrapper for debugfs_create_x8() */ struct dentry *edac_debugfs_create_x8(const char *name, umode_t mode, struct dentry *parent, u8 *value) { if (!parent) parent = edac_debugfs; return debugfs_create_x8(name, mode, parent, value); } EXPORT_SYMBOL_GPL(edac_debugfs_create_x8); /* Wrapper for debugfs_create_x16() */ struct dentry *edac_debugfs_create_x16(const char *name, umode_t mode, struct dentry *parent, u16 *value) { if (!parent) parent = edac_debugfs; return debugfs_create_x16(name, mode, parent, value); } EXPORT_SYMBOL_GPL(edac_debugfs_create_x16);